Package org.silverpeas.mobile.shared.services.rest

## Interface ServiceConnection

- All Superinterfaces:
    `org.fusesource.restygwt.client.RestService`

      @Path("/mobile/connection")
      public interface ServiceConnection
      extends org.fusesource.restygwt.client.RestService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `changePwd​(String newPwd, org.fusesource.restygwt.client.MethodCallback<Void> callback)` |
    `void` | `checkSecurityCode​(String login, String domainId, String code, org.fusesource.restygwt.client.MethodCallback<Boolean> callback)` |
    `void` | `generateSecurityCode​(String login, String domainId, org.fusesource.restygwt.client.MethodCallback<Void> callback)` |
    `void` | `getDomains​(org.fusesource.restygwt.client.MethodCallback<List<DomainDTO>> callback)` |
    `void` | `login​(List<String> ids, org.fusesource.restygwt.client.MethodCallback<DetailUserDTO> callback)` |
    `void` | `setTabletMode​(org.fusesource.restygwt.client.MethodCallback<Boolean> callback)` |
    `void` | `userAcceptsTermsOfService​(org.fusesource.restygwt.client.MethodCallback<Void> callback)` |
    `void` | `userExist​(String login, String domainId, org.fusesource.restygwt.client.MethodCallback<Boolean> callback)` |

- - ### Method Detail

    - #### generateSecurityCode

          @GET
          @Produces("application/json")
          @Path("securityCode/{login}/{domainId}")
          void generateSecurityCode​(@PathParam("login")
                                    String login,
                                    @PathParam("domainId")
                                    String domainId,
                                    org.fusesource.restygwt.client.MethodCallback<Void> callback)

    - #### checkSecurityCode

          @GET
          @Produces("application/json")
          @Path("securityCode/check/{login}/{domainId}/{code}")
          void checkSecurityCode​(@PathParam("login")
                                 String login,
                                 @PathParam("domainId")
                                 String domainId,
                                 @PathParam("code")
                                 String code,
                                 org.fusesource.restygwt.client.MethodCallback<Boolean> callback)

    - #### getDomains

          @GET
          @Produces("application/json")
          @Path("domains/")
          void getDomains​(org.fusesource.restygwt.client.MethodCallback<List<DomainDTO>> callback)

    - #### setTabletMode

          @PUT
          @Produces("application/json")
          @Path("setTabletMode/")
          void setTabletMode​(org.fusesource.restygwt.client.MethodCallback<Boolean> callback)

    - #### userExist

          @GET
          @Produces("application/json")
          @Path("userExist/{login}/{domainId}")
          void userExist​(@PathParam("login")
                         String login,
                         @PathParam("domainId")
                         String domainId,
                         org.fusesource.restygwt.client.MethodCallback<Boolean> callback)

    - #### userAcceptsTermsOfService

          @PUT
          @Produces("application/json")
          @Path("userAcceptsTermsOfService/")
          void userAcceptsTermsOfService​(org.fusesource.restygwt.client.MethodCallback<Void> callback)

    - #### changePwd

          @PUT
          @Produces("application/json")
          @Consumes("application/json")
          @Path("changePwd/")
          void changePwd​(String newPwd,
                         org.fusesource.restygwt.client.MethodCallback<Void> callback)

    - #### login

          @POST
          @Produces("application/json")
          @Consumes("application/json")
          @Path("login")
          void login​(List<String> ids,
                     org.fusesource.restygwt.client.MethodCallback<DetailUserDTO> callback)